function C = rdivide(A,B)

%      
%     C = RDIVIDE(A,B) 
%
% Called to overload the A./B syntax for timescale objects. Element-by-element division.    
%

% Brian Ballard, 08/17/05 Baylor University

if ( ~isa(B,'timescale') | ~isnumeric(A) | (length(A) > 1) )
    error('Timescale divide A/B requres A to be a scalar.');
end

C = timescale(A./B.data, B.type);